<?php
/**
 * Plantilla para mostrar comentarios y formulario para dejar un comentario.
 *
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Bigseo_Theme
 */

if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php 
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
	<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'bigseotheme' ); ?></p>
	<?php
	endif;

	comment_form(array(
		'title_reply_before' => '<h4>',
		'title_reply_after' => '</h4>',
		'class_submit' => 'btn btn-primary',
		'comment_field' => '<p class="comment-form-comment"><label for="comment">' . esc_html__( 'Comment', 'bigseotheme' ) . '</label><textarea id="comment" name="comment" cols="45" rows="8" required></textarea></p>'
		));

		if ( have_comments() ) : ?>
		<h4 class="comments-title">
			<?php printf( '<span class="cat-links">' . esc_html__( 'Comments (%1$s)', 'bigseotheme' ) . '</span>', get_comments_number() ); ?>
		</h4>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
				<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'bigseotheme' ); ?></h2>
				<div class="nav-links">

					<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'bigseotheme' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'bigseotheme' ) ); ?></div>

				</div><!-- .nav-links -->
			</nav><!-- #comment-nav-above -->
		<?php endif; // Check for comment navigation. ?>

		<div class="comment-list">
			<?php
			wp_list_comments( array(
				'style'      => 'div',
				'short_ping' => true,
				) );
				?>
			</div><!-- .comment-list -->

			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
					<h5 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'bigseotheme' ); ?></h5>
					<div class="nav-links">
						<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'bigseotheme' ) ); ?></div>
						<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'bigseotheme' ) ); ?></div>
					</div><!-- .nav-links -->
				</nav><!-- #comment-nav-below -->
				<?php
				endif;

				endif;

				?>

			</div><!-- #comments -->

