<?php

add_action( 'wpseo_register_extra_replacements', 'bigseotheme_title_replacements' );

function bigseotheme_check_yoast_seo(){
	if ( defined('WPSEO_VERSION') ) {
		return true;
	}else{
		return false;
	}
}

function bigseotheme_check_noindex(){
	if(!bigseotheme_check_yoast_seo()) return;

	$post_meta_noindex = get_post_meta( get_the_ID(), '_yoast_wpseo_meta-robots-noindex', true );
	$global_meta_noindex = get_option( 'wpseo_titles', true );

	if(!empty($post_meta_noindex)){
		switch ($post_meta_noindex) {
			case 2:
			return false;
			break;

			case 1:
			return true;
			break;
			
			default:
			return $global_meta_noindex['noindex-product'];
			break;
		}
	}else{
		return $global_meta_noindex['noindex-product'];
	}

	return false;
}



function bigseotheme_title_count() {
	$title = '';

	if (is_category()) {
		$category = get_category(get_query_var('cat'));
		$count = $category->category_count;
		$title = $count;
	}

	if(is_tag()) {
		$tag = get_term_by('slug',get_query_var('tag'),'post_tag');
		$count = $tag->count;
		$title = $count;
	}

	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		if (is_product_category()) {
			$category_product = get_term_by('slug',get_query_var('product_cat'),'product_cat');	
			$count = $category_product->count;
			$title = $count;
		}
	}
	return $title;
}

function bigseotheme_title_replacements() {
	if(!bigseotheme_check_yoast_seo()) return;
	wpseo_register_var_replacement( 'bigseo_tax_count', 'bigseotheme_title_count', 'advanced');
}



function bigseotheme_yoast_breadcrumbs() {
	if ( function_exists('yoast_breadcrumb') ) {
		yoast_breadcrumb('<div class="breadcrumbs"><nav>','</nav></div>');
	}
}